"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.AuraDataProvider = void 0;
class AuraDataProvider {
    constructor(attributes) {
        this.activated = false;
        this.indexer = attributes.indexer;
    }
    getId() {
        return 'lwc-aura';
    }
    isApplicable() {
        return this.activated;
    }
    provideTags() {
        return this.indexer.customData.map(tag => {
            return {
                name: tag.auraName,
                description: tag.description,
                attributes: tag.attributes,
            };
        });
    }
    provideAttributes(tagName) {
        const tags = this.provideTags();
        const tag = tags.find(t => t.name.toLowerCase() === tagName);
        return (tag === null || tag === void 0 ? void 0 : tag.attributes) || [];
    }
    provideValues() {
        return [];
    }
}
exports.AuraDataProvider = AuraDataProvider;
//# sourceMappingURL=aura-data-provider.js.map